# Uses of Class
net.shibboleth.idp.saml.authn.principal.AuthnContextClassRefPrincipal

Packages that use AuthnContextClassRefPrincipal
Package
Description
net.shibboleth.idp.saml.authn.principal
SAML-specific classes for integration with idp-authn-api packages.
net.shibboleth.idp.saml.saml2.profile.impl
Profile processing actions related to SAML 2 messages.

## Uses of AuthnContextClassRefPrincipal in net.shibboleth.idp.saml.authn.principal

Methods in net.shibboleth.idp.saml.authn.principal that return AuthnContextClassRefPrincipal
Modifier and Type
Method
Description
`AuthnContextClassRefPrincipal`
AuthnContextClassRefPrincipal.`clone()`
Creates and returns a copy of this object.

## Uses of AuthnContextClassRefPrincipal in net.shibboleth.idp.saml.saml2.profile.impl

Fields in net.shibboleth.idp.saml.saml2.profile.impl with type parameters of type AuthnContextClassRefPrincipal
Modifier and Type
Field
Description
`private Function<ProfileRequestContext,AuthnContextClassRefPrincipal>`
AddAuthnStatementToAssertion.`classRefLookupStrategy`
Strategy used to determine the AuthnContextClassRef.
Method parameters in net.shibboleth.idp.saml.saml2.profile.impl with type arguments of type AuthnContextClassRefPrincipal
Modifier and Type
Method
Description
`void`
AddAuthnStatementToAssertion.`setClassRefLookupStrategy(Function<ProfileRequestContext,AuthnContextClassRefPrincipal> strategy)`
Set the strategy function to use to obtain the authentication context class reference to use.